std::__detail::_Hash_node_value_base< _Value > Struct Template Reference
Containers » Unordered Associative » Base and Implementation Classes
Inheritance diagram for std::__detail::_Hash_node_value_base< _Value >:
[legend]

## Public Types

typedef _Value | value_type

## Public Member Functions

_Value & | _M_v () noexcept
const _Value & | _M_v () const noexcept
_Value * | _M_valptr () noexcept
const _Value * | _M_valptr () const noexcept

## Public Attributes

_Hash_node_base * | _M_nxt
__gnu_cxx::__aligned_buffer< _Value > | _M_storage

## Detailed Description

### template<typename _Value>
struct std::__detail::_Hash_node_value_base< _Value >

struct _Hash_node_value_base

Node type with the value to store.

Definition at line 242 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h